%define product           PloneBook
%define version           0.3
%define release           2

%define zope_minver       2.7
%define plone_minver      2.0

%define zope_home         %{_prefix}/lib/zope
%define software_home     %{zope_home}/lib/python
%define mVersion          %(echo '%{version}' | sed -e 's/\\./_/g')

Summary:     PloneBook provides 'Definitive Guide to Plone' into a Plone site
Name:        zope-%{product}
Version:     %{version}
Release:     %mkrel %{release}
License:     GPL
Group:       System/Servers
Source:      http://docs.neuroinf.de/products/PloneBook-%{mVersion}.tar.bz2
URL:         http://docs.neuroinf.de/products
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:   noarch
Requires:    zope >= %{zope_minver}
Requires:    plone >= %{plone_minver}
Requires:    cvs

Provides:plone-PloneBook == %{version}
Obsoletes:plone-PloneBook

%description
PloneBook is a very specific special purpose Plone product.
Its only intent is to provide support for local copies of
Andy McKay's 'Definitive Guide to Plone' (Apress 2004) embedded
into a Plone site. It supports live updating of the content
from the 'plone-docs' project at SourceForge:
http://cvs.sourceforge.net/viewcvs.py/plone-docs/PloneBook


%prep
%setup -c -q

%build
# correct version
echo %{version} >> PloneBook/version.txt

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*



%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 08:08:39 (53770)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:00:46 (42776)
Import zope-PloneBook

* Sun Oct 23 2005 Gaetan Lehmann <glehmann@deborah.mandriva.com> 0.3-1mdk
- new release 0.3

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2-3mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2-2mdk
- use mkrel
- rename from plone-PloneBook to zope-PloneBook

* Sun Jan 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.2-1mdk
- initial contrib

